package modele
class Game(private val width: Int,private val height: Int) {
    private val dashBoard: DashBoard = DashBoard(width,height)
    private var currentShape: Shape? = null
    private var difficulty: Difficulty = Difficulty.EASY

    // To get the current difficulty
    fun getDifficulty(): Difficulty = this.difficulty

    // To get the current shape on the game
    fun getCurrentShape(): Shape? = this.currentShape

    // To set the current shape
    fun setCurrentShape(newCurrentShape: Shape){
        this.currentShape = newCurrentShape
    }

    // The start game function

    fun startGame(){
        //this.setCurrentShape(TypeShape.SquareShape)

    }

}